/*
 * @Author: xiejiang
 * @Date: 2024-12-03 15:03:23
 * @LastEditors: xiejiang
 * @LastEditTime: 2024-12-04 18:37:21
 * @Description:
 * Copyright（c）2024 by 好老师教育科技有限公司 All right Reserved.
 */

import type { ReqPage, KeyAny } from '@/api/interface'

// 定义请求参数类型
export interface ReqCompanyPage extends ReqPage {
  companyName?: number | string // 角色名称
  companyType?: number | string // 角色状态
  companyStatus?: number | string // 角色id
}

export interface ResCompany extends KeyAny {
  adminUserId: number
  adminUserMobile: string
  adminUserName: string
  companyId: number
  companyName: string
  companyStatus: number
  companyType: number
  inputTime: string
  inputUserId: number
  inputUserName: string
  remark: string
  serviceStatus: number
  serviceTerminationTime: string
}

export interface ReqCompany {
  adminUserMobile?: string // 机构管理员手机号
  adminUserName?: string // 机构管理员姓名
  companyId?: number | string // 机构id
  companyName?: string // 机构名称
  companyType?: number | string // 机构类型
  remark?: string // 备注
  companyStatus?: number // 机构状态
  serviceTerminationTime?: string // 服务终止日期
}
