/*
 * @Author: xiejiang
 * @Date: 2024-12-03 10:43:24
 * @LastEditors: xiejiang
 * @LastEditTime: 2024-12-06 16:51:47
 * @Description:
 * Copyright（c）2024 by 好老师教育科技有限公司 All right Reserved.
 */
import type { ReqPage, KeyAny } from '@/api/interface'

// 定义请求参数类型
export interface ReqRolePage extends ReqPage {
  roleName?: number | string // 角色名称
  status?: number | string // 角色状态
  roleId?: number | string // 角色id
}

export interface ReqRole {
  description?: string // 角色描述
  roleId?: number | string // 角色id
  roleName?: string // 角色姓名
  status?: number | string // 角色状态 1编辑中 2 启用 3 停用
  operateType?: number // 平台角色  1删除/2启用/3停用
}

export interface ResRoleList extends KeyAny {
  roleId: string
  roleName: string
  description: string //描述
  inputUserId: string //添加人id
  inputTime: string //添加时间
  inputUserName: string //添加人
  status?: number //状态
  roleUsers?: any
}

export interface ReqUserPage extends ReqPage {
  mobileOrName?: string // 姓名或手机号
  userId?: number | string // 用户id
  status?: number | string // 状态
}

export interface ResUserList extends KeyAny {
  userId: number
  userName: string
  mobile: string
  status: number
  roleNames: any
  inputUserName: string
  inputTime: string
  remark?: string
}

export interface ReqUser {
  remark?: string // 备注
  userId?: number | string // 用户id
  userName?: string // 姓名
  mobile?: string // 手机号
  roleIds?: number[] | string[] // 角色id
  operateType?: number // 操作类型  1删除/2启用/3停用
}

export interface ReqLogPage extends ReqPage {
  userId?: number | string // 登录类型
  roleId?: number | string // 姓名或手机号
}

export interface ResLog {
  device: string
  lastLoginAddress: string
  lastLoginIp: string
  lastLoginTime: string
  logId: number
}
