/*
 * @Author: xiejiang
 * @Date: 2024-11-28 15:00:25
 * @LastEditors: xiejiang
 * @LastEditTime: 2024-12-01 16:59:06
 * @Description: 客户中心
 * Copyright（c）2024 by 好老师教育科技有限公司 All right Reserved.
 */
import { RouteRecordRaw } from 'vue-router'
const customerRouter: RouteRecordRaw[] = [
  {
    path: '/layout',
    component: () => import('@/layouts/index.vue'),
    name: 'customer',
    meta: {
      title: '客户中心'
    },
    children: [
      {
        path: '/institution',
        name: 'institution',
        component: () => import('@/views/customer/institution/index.vue'),
        meta: {
          title: '机构管理',
          keepAlive: true
        }
      },
      {
        path: '/institution/edit',
        name: 'institution-edit',
        component: () => import('@/views/customer/institution/edit.vue'),
        meta: {
          title: '添加机构',
          access: 'institution',
          noTopTag: true,
          affix: false,
          activeMenu: 'institution',
          hideFooter: true
        }
      },
      {
        path: '/institution/detail',
        name: 'institution-detail',
        component: () => import('@/views/customer/institution/detail.vue'),
        meta: {
          title: '机构详情',
          access: 'institution',
          noTopTag: true,
          affix: false,
          activeMenu: 'institution',
          hideFooter: true
        }
      }
    ]
  }
]

export default customerRouter
