/*
 * @Author: xiejiang
 * @Date: 2024-11-28 16:40:34
 * @LastEditors: xiejiang
 * @LastEditTime: 2024-12-05 14:06:38
 * @Description: messageBox
 * Copyright（c）2024 by 好老师教育科技有限公司 All right Reserved.
 */
import { DialogPlugin } from 'tdesign-vue-next'
/**
 * 对通用系统提示进行封装，传入1对应系统提示，传入字符串直接展示
 * @param {number | String} type  1停用 2 启用 3 删除 4字典特有提示
 * @param {Partial<import('tdesign-vue-next').DialogPlugin>} props
 * @returns Promise<DialogPlugin>
 */
const MessageBox = function (type: number, props = {}) {
  const reflect = [
    '正在停用数据，是否确认操作？',
    '正在启用数据，是否确认操作？',
    '删除的数据不可恢复，是否确认操作？',
    '当前字典中存在子集，不可删除！',
    '已删除的字典不可继续添加子集，是否确认操作？',
    '正在下线版本，是否确认操作？',
    '正在发布版本，对应终端用户将接收到版本更新通知，是否确认操作？',
    '重新发布版本，对应终端用户将接收到版本更新通知，是否确认操作？'
  ]
  const body = reflect[type - 1] as string
  const confirmDialog = DialogPlugin.confirm({
    header: '系统提示',
    body: body,
    theme: 'danger',
    className: 't-dialog-new-class',
    confirmBtn: {
      content: '确定',
      variant: 'base'
    },
    cancelBtn: {
      content: '取消',
      variant: 'base'
    },
    ...props
  })
  return confirmDialog
}
export default MessageBox
